<?php
/*
// +--------------------------------------------------------------------------+
// | Onlineaktivitaeten von Usern anzeigen                                    |
// | by truenoir                                                              |
// +--------------------------------------------------------------------------+
// | Obige Zeilen dürfen nicht entfernt werden!    Do not remove above lines! |
// +--------------------------------------------------------------------------+
*/

/**** Beginn Konfiguration ***/

$breite=4; // Breite der Balken und Zwischenraeume
$maxy=100; // Maximale Hoehe der Grafik

/**** Ende Konfiguration ***/

$maxx=24*($breite*2)+2*($breite); // Maximale Breite berechnen

require("include/bittorrent.php");
dbconn();
loggedinorreturn();

if(get_user_class()<UC_SYSOP) die();

$id=0+$_GET["id"];
if(!is_valid_id($id)) die();
$sqlstr="SELECT std, cnt FROM `onlinezeiten` WHERE uid=$id UNION SELECT 'max', max( cnt ) FROM `onlinezeiten` WHERE uid =$id";

$res=mysql_query($sqlstr);
$data=array();
while($r=mysql_fetch_assoc($res))
  $data[$r["std"]]=$r["cnt"];

$im=imagecreatetruecolor($maxx, $maxy);
$white=imagecolorallocate($im, 255, 255, 255);
$blue=imagecolorallocate($im, 0,0,255);
$red=imagecolorallocate($im, 255,0,0);
imagefill($im,1,1,$white);
for($i=0;$i<24;$i++)
{
  $x1=($i*2*$breite)+$breite;
  $x2=$x1+$breite;
  $y1=$maxy-1;
  $y2=$y1-round(($data[$i]/$data["max"]*$maxy));
  if(!in_array($i,array(5,10,15,20))) $col=$blue;
  else $col=$red;
  imagefilledrectangle($im, $x1, $y2, $x2, $y1, $col);
}
Header("Content-Type: image/png");
imagepng($im);
imagedestroy($im);
?>